import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
public class FrameCounter extends JFrame implements ActionListener{
  private JButton button=new JButton("1");

  public FrameCounter(String title){
    super(title);
    //把FrameCounter本身的实例注册为JButton的监听器
    button.addActionListener(this);
    add(button);

    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    setSize(100,100);
    setVisible(true);
  }

  /** 实现ActionListener的actionPerformed()方法 */
  public void actionPerformed(ActionEvent evt){
    int count=Integer.parseInt(button.getText());
    button.setText(new Integer(++count).toString());  //把JButton上的标号加1
  }

  public static void main(String args[]){
    new FrameCounter("Hello");
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
